Loading...
Searching...
No Matches
oval_collection_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include "../common/util.h"`
Include dependency graph for oval_collection_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

struct oval_collection * | oval_collection_new (void)
void | oval_collection_free (struct oval_collection *)
void | oval_collection_free_items (struct oval_collection *, oscap_destruct_func)
int | oval_collection_is_empty (struct oval_collection *collection)
void | oval_collection_add (struct oval_collection *, void *)
struct oval_iterator * | oval_collection_iterator (struct oval_collection *)
struct oval_iterator * | oval_collection_iterator_new (void)
void | oval_collection_iterator_add (struct oval_iterator *, void *)
bool | oval_collection_iterator_has_more (struct oval_iterator *)
int | oval_collection_iterator_remaining (struct oval_iterator *)
void * | oval_collection_iterator_next (struct oval_iterator *)
void | oval_collection_iterator_free (struct oval_iterator *)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/